<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.webservice.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.webservice.ui.WebServiceUiPlugin">

   <runtime>
      <library name="modelerWebserviceUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerWebserviceUi.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui.cheatsheets"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.metamodels.webservice"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.transformation"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.modeler.webservice"/>
      <import plugin="com.metamatrix.modeler.dqp"/>
      <import plugin="com.metamatrix.modeler.dqp.ui"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="com.metamatrix.modeler.compare"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.license"/>
      <import plugin="com.metamatrix.modeler.vdb.ui"/>
      <import plugin="com.metamatrix.modeler.xml.ui"/>
      <import plugin="com.metamatrix.modeler.diagram.ui"/>
      <import plugin="com.metamatrix.query.ui"/>
      <import plugin="com.metamatrix.modeler.transformation.ui"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="com.metamatrix.metamodels.wsdl"/>
      <import plugin="net.sf.saxon"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
   </requires>

   <!-- Web Services New Model Wizard Contributor -->
   <extension id="webServiceModelWizard" name="%webServiceModelWizard"
              point="com.metamatrix.modeler.ui.newModelWizardContributor">
      <class name="com.metamatrix.modeler.internal.webservice.ui.wizard.WebServiceModelContributor"
             icon="platform:/plugin/com.metamatrix.modeler.ui/icons/full/ctool16/newmodel_wiz.gif">
      </class>
      <metamodelDescriptorType name="http://www.metamatrix.com/metamodels/WebService" isPhysical="false"
                               isVirtual="true">
      </metamodelDescriptorType>
   </extension>
   <!-- Actions contributed to the Model Explorer view -->
<!--  
   <extension
         id="%modelImportContributions.id"
         name="ModelImportContributions"
         point="org.eclipse.ui.popupMenus">

      <viewerContribution
            targetID="com.metamatrix.modeler.ui.explorer.view"
            id="modelExplorerTransformationContributions">
         <action
               label="%GenerateWebServiceModelAction.label"
               tooltip="%GenerateWebServiceModelAction.tooltip"
               class="com.metamatrix.modeler.webservice.ui.actions.GenerateWebServiceModelAction"
               menubarPath="modelStart"
               enablesFor="1"
               id="com.metamatrix.modeler.webservice.ui.actions.generateWebServiceModelAction">
            <selection
                  class="com.metamatrix.metamodels.relational.Table">
            </selection>
         </action>
      </viewerContribution>
   </extension>
-->
<!-- Actions contributed to the object/model generation -->
   <extension id="com.metamatrix.modeler.webservice.ui.actions.GenerateWebServiceModelAction2"
              name="%generateWebServiceModelAction2.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.webservice.ui.actions.GenerateWebServiceModelAction2"
                     label="%generateWebServiceModelAction2.label">
      </specialAction>
   </extension>

   <!-- Context Help Infopops -->
	<extension point="org.eclipse.help.contexts">
		    <contexts file="helpContexts.xml"/>
	  </extension>
   <extension point="org.eclipse.ui.views">
      <category id="com.metamatrix.modeler.webservice.ui.advisor" name="%advisorViewCategory"/>
      <!--
    <view
          allowMultiple="false"
          category="com.metamatrix.modeler.webservice.ui.advisor"
          class="com.metamatrix.modeler.webservice.ui.advisor.AdvisorView"
          icon="icons/full/cview16/AdvisorIcon.png"
          id="com.metamatrix.modeler.webservice.ui.advisor.AdvisorView"
          name="%wsAdvisorView"/>
-->
 </extension>
   <!--
 <extension
       point="com.metamatrix.ui.dockBars">
    <dockbar
          class="com.metamatrix.modeler.webservice.ui.advisor.AdvisorDockBarExtensionHelper"
          id="modeler.webservice.advisor"
          name="%advisorDockBarName"
          saveVisibleState="true"
          visibleOnStartup="always"/>
 </extension>
 -->
 <extension point="org.eclipse.ui.cheatsheets.cheatSheetContent">
      <category id="com.metamatrix.modeler.webservice.ui.cheatCategory.WebServicesInfo"
                name="%com.metamatrix.modeler.webservice.ui.cheatCategory.WebServicesInfo"/>
      <cheatsheet category="com.metamatrix.modeler.webservice.ui.cheatCategory.WebServicesInfo"
                  contentFile="$nl$/cheatsheets/WebServiceOverview.xml"
                  id="com.metamatrix.modeler.webservice.ui.cheat.WebServiceOverview"
                  name="%com.metamatrix.modeler.webservice.ui.cheat.Info"/>
      <category id="com.metamatrix.modeler.webservice.ui.cheatCategory.NewWebServices"
                name="%com.metamatrix.modeler.webservice.ui.cheatCategory.NewWebServices"/>
      <cheatsheet category="com.metamatrix.modeler.webservice.ui.cheatCategory.NewWebServices"
                  contentFile="$nl$/cheatsheets/JDBCToWebService.xml"
                  id="com.metamatrix.modeler.webservice.ui.cheat.JDBCToWebService"
                  name="%com.metamatrix.modeler.webservice.ui.cheat.JDBCToWebService"/>
      <cheatsheet category="com.metamatrix.modeler.webservice.ui.cheatCategory.NewWebServices"
                  contentFile="$nl$/cheatsheets/XSDToWebService.xml"
                  id="com.metamatrix.modeler.webservice.ui.cheat.XSDToWebService"
                  name="%com.metamatrix.modeler.webservice.ui.cheat.XSDToWebService"/>
      <cheatsheet category="com.metamatrix.modeler.webservice.ui.cheatCategory.NewWebServices"
                  contentFile="$nl$/cheatsheets/WSDLToWebService.xml"
                  id="com.metamatrix.modeler.webservice.ui.cheat.WSDLToWebService"
                  name="%com.metamatrix.modeler.webservice.ui.cheat.WSDLToWebService"/>
   </extension>

   <!-- Special IMarker used to show VDB execution errors -->
   <extension id="vdbExecutionMarker" point="org.eclipse.core.resources.markers"
              name="%vdbExecutionMarker.name">
      <super type="org.eclipse.core.resources.problemmarker"/>
      <attribute name="ValidationCode"/>
      <attribute name="vdbPath"/>
      <persistent value="true"/>
   </extension>
   <extension point="org.eclipse.ui.importWizards">
      <wizard name="%wsdlFileSystemImportWizard.name"
              icon="icons/full/ctool16/import_wsdl.gif"
              class="com.metamatrix.modeler.internal.webservice.ui.wizard.WsdlFileSystemImportWizard"
              id="com.metamatrix.modeler.internal.webservice.ui.wizard.wsdlFileSystemImportWizard">
         <description>
            %wsdlFileSystemImportWizard.description
         </description>
      </wizard>
   </extension>

   <extension id="operationEditorPage" point="com.metamatrix.modeler.ui.modelEditorPage">
      <class name="com.metamatrix.modeler.webservice.ui.editor.OperationEditorPage"
             order="5"
             tabName="%operationEditor.tabName"/>
   </extension>
   <extension id="operationObjectEditorPage"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.webservice.ui.editor.OperationObjectEditorPage">
      </class>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="webServiceObjectEditHelper" name="%webServiceObjectEditHelper"
              point="com.metamatrix.modeler.ui.modelObjectEditHelper">
      <class name="com.metamatrix.modeler.webservice.ui.actions.WebServiceObjectEditHelper">
      </class>
   </extension>

</plugin>